import { IConfig } from '../types/IConfig'

export class Config implements IConfig {
  bodyParserEnabled: Boolean = true;
  corsEnabled: Boolean = true;
  compiledPath: string = 'dist';

  serverRenderingEnabled: Boolean = true;
  serverRenderingEngine: string = 'ejs';
  baseRoute: string = "";
  exposedHeaders: string | Array<string> = "";

  secret: string = "";
}